CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
csl::DistanceCue Class Reference

Pure Abstract Base Class for all distance cues. A DistanceCue subclass is just an algorithm that modifies a signal based on the distance from the listener. Distance Cues should hold their state, so when "process" is called they can modify the signal buffer given. When "compute" is called is usually due to a change in distance, so if anything has to be re-calculated, it's done. More...

`#include <DistanceSimulator.h>`

Inheritance diagram for csl::DistanceCue:

List of all members.

## Public Member Functions
| DistanceCue ()
virtual | ~DistanceCue ()
virtual void | compute (float distance)=0
virtual void | process (Buffer &inputBuffer)=0

## Detailed Description

Pure Abstract Base Class for all distance cues. A DistanceCue subclass is just an algorithm that modifies a signal based on the distance from the listener. Distance Cues should hold their state, so when "process" is called they can modify the signal buffer given. When "compute" is called is usually due to a change in distance, so if anything has to be re-calculated, it's done.

Definition at line 47 of file DistanceSimulator.h.

## Constructor & Destructor Documentation

csl::DistanceCue::DistanceCue | ( |  | ) |
| inline

Definition at line 49 of file DistanceSimulator.h.

virtual csl::DistanceCue::~DistanceCue | ( |  | ) |
| inline virtual

Definition at line 50 of file DistanceSimulator.h.

## Member Function Documentation

virtual void csl::DistanceCue::compute | ( | float | distance | ) |
| pure virtual

Implemented in csl::AirAbsorptionCue, and csl::IntensityAttenuationCue.

virtual void csl::DistanceCue::process | ( | Buffer & | inputBuffer | ) |
| pure virtual

Implemented in csl::AirAbsorptionCue, and csl::IntensityAttenuationCue.

The documentation for this class was generated from the following file:

- CSL/Spatializers/DistanceSimulator.h